経緯

M5stackでMicroPythonを使えるようにするがやりたくて、esptoolをインストールしようと、

$pip install esptool

とやったら、

You are using pip version 9.0.1, however version 10.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

と出てしまいました。
pipが古いことはすぐわかりましたが、

pip install --upgrade pip

と言われたままやっても同じことの繰り返し。

解決策

一旦、pipをアンインストールしてから、入れ直し。

sudo python -m pip uninstall pip
sudo python get-pip.py

あくまでも私の環境での話ですので、ご注意ください。

これで、microPythonで、hello worldも表示できました。

Sign up for free and join this conversation.
Sign Up
If you already have a Qiita account log in.